org.apache.fontbox.ttf.table.gsub

## Class LookupTypeLigatureSubstitutionSubstFormat1

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.LookupSubTable
  - - org.apache.fontbox.ttf.table.gsub.LookupTypeLigatureSubstitutionSubstFormat1

    public class LookupTypeLigatureSubstitutionSubstFormat1
    extends LookupSubTable

This class is a part of the GSUB — Glyph Substitution Table system of tables in the Open Type Font specs. This is a part of the LookupType 4: Ligature Substitution Subtable. It specifically models the Ligature Substitution Format 1.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`LookupTypeLigatureSubstitutionSubstFormat1(int substFormat, CoverageTable coverageTable, LigatureSetTable[] ligatureSetTables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doSubstitution(int gid, int coverageIndex)`
`LigatureSetTable[]` `getLigatureSetTables()`
`String` `toString()`

### Methods inherited from class org.apache.fontbox.ttf.table.common.LookupSubTable

`getCoverageTable, getSubstFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LookupTypeLigatureSubstitutionSubstFormat1

    public LookupTypeLigatureSubstitutionSubstFormat1(int substFormat,
                                                      CoverageTable coverageTable,
                                                      LigatureSetTable[] ligatureSetTables)

### Method Detail

#### doSubstitution

    public int doSubstitution(int gid,
                              int coverageIndex)

Specified by:
  `doSubstitution` in class `LookupSubTable`

#### getLigatureSetTables

    public LigatureSetTable[] getLigatureSetTables()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`